{
  "name": "api",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "engines": {
    "node": "16.13.x"
  },
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "NODE_ENV=dev && nest start",
    "start:dev": "NODE_ENV=dev && nest start --watch",
    "start:debug": "NODE_ENV=dev && nest start --debug --watch",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "NODE_ENV=test && jest",
    "test:watch": "NODE_ENV=test && jest --watch",
    "test:cov": "NODE_ENV=test && jest --coverage",
    "test:debug": "NODE_ENV=test && node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "NODE_ENV=test && jest --config ./test/jest-e2e.json",
    "migrate": "NODE_ENV=dev && node ./lib/db/migrate.ts",
    "start:prod": "NODE_ENV=prod && node dist/src/main"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.296.0",
    "@aws-sdk/s3-request-presigner": "^3.296.0",
    "@nestjs/axios": "^0.0.7",
    "@nestjs/bull": "^0.5.3",
    "@nestjs/common": "^8.4.1",
    "@nestjs/config": "^1.2.0",
    "@nestjs/core": "^8.4.1",
    "@nestjs/jwt": "^8.0.0",
    "@nestjs/passport": "^8.2.1",
    "@nestjs/platform-express": "^8.4.4",
    "@nestjs/platform-socket.io": "^8.4.4",
    "@nestjs/schedule": "^2.1.0",
    "@nestjs/sequelize": "^8.0.0",
    "@nestjs/swagger": "^5.2.0",
    "@nestjs/websockets": "^8.4.4",
    "@sentry/node": "^7.10.0",
    "@socket.io/redis-adapter": "^7.2.0",
    "@types/cron": "^2.0.0",
    "@types/redis": "^4.0.11",
    "@types/uuid": "^8.3.4",
    "autolinker": "^3.16.0",
    "aws-sdk": "^2.1214.0",
    "bcrypt": "^5.0.1",
    "bull": "^4.7.0",
    "cache-manager": "4.0.0",
    "cache-manager-redis-store": "^2.0.0",
    "cheerio": "^1.0.0-rc.12",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.13.2",
    "cloudinary": "^1.28.1",
    "crypto": "^1.0.1",
    "dotenv": "^14.3.2",
    "ethers": "^5.7.1",
    "fluent-ffmpeg": "^2.1.2",
    "form-data": "^4.0.0",
    "multer": "^1.4.5-lts.1",
    "nanoid": "^3.3.4",
    "nest-puppeteer": "^1.1.1",
    "nest-raven": "^8.2.0",
    "nestjs-real-ip": "^2.2.0",
    "passport": "^0.5.2",
    "passport-jwt": "^4.0.0",
    "pg": "^8.7.3",
    "puppeteer": "^17.1.1",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^7.2.0",
    "sanitize-html": "^2.7.1",
    "sequelize": "^6.13.0",
    "sequelize-typescript": "^2.1.2",
    "sharp": "^0.31.1",
    "socket.io": "^4.5.2",
    "swagger-ui-express": "^4.3.0",
    "umzug": "^3.0.0",
    "web3": "^1.8.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^8.2.2",
    "@nestjs/schematics": "^8.0.8",
    "@nestjs/testing": "^8.4.1",
    "@types/bull": "^3.15.8",
    "@types/cache-manager": "4.0.0",
    "@types/express": "^4.17.13",
    "@types/fluent-ffmpeg": "^2.1.20",
    "@types/jest": "27.0.2",
    "@types/multer": "^1.4.7",
    "@types/nanoid": "3.0.0",
    "@types/node": "^16.0.0",
    "@types/passport-jwt": "^3.0.6",
    "@types/redis": "^4.0.11",
    "@types/sequelize": "^4.28.11",
    "@types/sharp": "^0.31.0",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "^27.2.5",
    "prettier": "^2.3.2",
    "source-map-support": "^0.5.20",
    "supertest": "^6.1.3",
    "ts-jest": "^27.0.3",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "^3.10.1",
    "typescript": "^4.3.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "moduleNameMapper": {
      "^@auth/(.*)$": "<rootDir>/core/auth/$1",
      "^@core/(.*)$": "<rootDir>/core/$1"
    },
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
